//
//  MonglotAppDelegate.h
//  Monglot
//  11/22/10
//
//  Coded by Johan Larsby
//  Monglot is piece of software art by Rosa Menkman and Johan Larsby, based on the Vernacular of File Formats, 2010.
//  http://rosa-menkman.blogspot.com/2010/08/vernacular-of-file-formats-2-workshop.html
//  Copyright 2010 __MyCompanyName__. All rights reserved.

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>


#if (MAC_OS_X_VERSION_MAX_ALLOWED <= MAC_OS_X_VERSION_10_5)
@interface MonglotAppDelegate : NSObject
#else
@interface MonglotAppDelegate : NSObject <NSApplicationDelegate>
#endif
{
    NSWindow *window;
	IBOutlet NSImageView *imageView;
	IBOutlet NSTextField *tf_randomSeed;
	IBOutlet NSTextField *tf_from;
	IBOutlet NSTextField *tf_to;
	IBOutlet NSSlider *sl_chance;
	IBOutlet NSButton *bt_replace;
	IBOutlet NSButton *bt_batch;
	IBOutlet NSButton *bt_preserve;
	
	IBOutlet NSTextField *tf_numFrames;
	IBOutlet QTCaptureView *outputCaptureView;
	IBOutlet NSPopUpButton *popupbutton;
	
}

@property (assign) IBOutlet NSWindow *window;
- (IBAction)DoStuff:(id)sender;
- (IBAction)InitilizeRandom:(id)sender;
- (IBAction)OpenOutputFolder:(id)sender;
- (IBAction)LoadNewImage:(id)sender;
- (IBAction)GFD:(id)sender;
- (IBAction)GetWEBCAMImage:(id)sender;
- (IBAction)FIT:(id)sender;
- (NSString*)doGlitch:(NSString*)inFileName and:(NSString*)outFileName;
- (IBAction)TRANSCODEchange:(id)sender;
- (IBAction)ShowAbout:(id)sender;


NSString * inPath;
NSString * endFormat;
NSString * trans_endFormat;
int globalNR;
 

QTCaptureSession                  *mCaptureSession;

QTCaptureDeviceInput              *mCaptureDeviceInput;

QTCaptureDecompressedVideoOutput  *mCaptureDecompressedVideoOutput;
CVImageBufferRef mCurrentImageBuffer;

@end
